| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
KeyedContainer< DATATYPE, MAPPING >::_InsertRelease Struct Reference

Internal functor for insertion of objects. More...

## Public Member Functions
| _InsertRelease (KeyedContainer< DATATYPE, MAPPING > *p)
void | operator() (value_type p)

## Public Attributes
KeyedContainer< DATATYPE, MAPPING > * | m_obj

## Detailed Description

### template<class DATATYPE, class MAPPING = Containers::HashMap>
struct KeyedContainer< DATATYPE, MAPPING >::_InsertRelease

Internal functor for insertion of objects.

Definition at line 151 of file KeyedContainer.h.

## Constructor & Destructor Documentation

template<class DATATYPE, class MAPPING = Containers::HashMap>

KeyedContainer< DATATYPE, MAPPING >::_InsertRelease::_InsertRelease | ( | KeyedContainer< DATATYPE, MAPPING > * | p | ) |
| inline

Definition at line 153 of file KeyedContainer.h.

153 : m_obj(p) {}
KeyedContainer::_InsertRelease::m_obj
KeyedContainer< DATATYPE, MAPPING > * m_obj
Definition: KeyedContainer.h:152

## Member Function Documentation

template<class DATATYPE, class MAPPING = Containers::HashMap>

void KeyedContainer< DATATYPE, MAPPING >::_InsertRelease::operator() | ( | value_type | p | ) |
| inline

Definition at line 154 of file KeyedContainer.h.

154 {
155 m_obj->insert(p);
156 traits::release(p);
157 }
KeyedContainer::_InsertRelease::m_obj
KeyedContainer< DATATYPE, MAPPING > * m_obj
Definition: KeyedContainer.h:152
Containers::key_traits< DATATYPE::key_type >::release
static long release(obj_type *v)
Release reference to object.
Definition: KeyedTraits.h:94

## Member Data Documentation

template<class DATATYPE, class MAPPING = Containers::HashMap>

KeyedContainer<DATATYPE,MAPPING>* KeyedContainer< DATATYPE, MAPPING >::_InsertRelease::m_obj

Definition at line 152 of file KeyedContainer.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/KeyedContainer.h